import 'package:flutter/material.dart';
import 'package:on_field_work/helpers/widgets/my_spacing.dart';
import 'package:on_field_work/helpers/widgets/my_text.dart';

class EditBucketBottomSheet extends StatelessWidget {
  const EditBucketBottomSheet({super.key});

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: MediaQuery.of(context).viewInsets,
      child: Container(
        padding: MySpacing.xy(20, 16),
        decoration: const BoxDecoration(
          color: Colors.white,
          borderRadius: BorderRadius.vertical(top: Radius.circular(16)),
        ),
        child: Wrap(
          children: [
            Center(
              child: MyText.titleMedium(
                "Edit Bucket",
                fontWeight: 700,
              ),
            ),
            MySpacing.height(16),
            MyText.bodyMedium("Bucket Name", fontWeight: 600),
            MySpacing.height(6),
            const TextField(
              decoration: InputDecoration(
                hintText: 'Sample Bucket Name',
                border: OutlineInputBorder(),
              ),
            ),
            MySpacing.height(16),
            MyText.bodyMedium("Description", fontWeight: 600),
            MySpacing.height(6),
            const TextField(
              maxLines: 3,
              decoration: InputDecoration(
                hintText: 'Sample description...',
                border: OutlineInputBorder(),
              ),
            ),
            MySpacing.height(24),
            SizedBox(
              width: double.infinity,
              child: ElevatedButton(
                style: ElevatedButton.styleFrom(
                  backgroundColor: Colors.indigo,
                  padding: const EdgeInsets.symmetric(vertical: 14),
                  shape: RoundedRectangleBorder(
                    borderRadius: BorderRadius.circular(8),
                  ),
                ),
                onPressed: () {
                  print("Save clicked (static)");
                  Navigator.pop(context); // Dismiss the sheet
                },
                child: const Text(
                  "Save",
                  style:
                      TextStyle(color: Colors.white, fontWeight: FontWeight.bold),
                ),
              ),
            ),
          ],
        ),
      ),
    );
  }
}
